#!/usr/bin/env python

"""
****************************************************************************
 flyway.py, the main program file, version 0.3.1

 FlyWay, a VFR/IFR Route Planner for Pilots
 Copyright (C) 2003, Douglas W. Bell

 This is free software; you can redistribute it and/or modify it under the 
 terms of the GNU General Public License, Version 2.  This program is 
 distributed in the hope that it will be useful, but WITTHOUT ANY WARRANTY.
*****************************************************************************
"""

__progname__ = 'FlyWay'
__version__ = '0.4.1'
__author__ = 'Doug Bell'

dataFilePath =  '/usr/local/share/flyway'   # modified by install script
helpFilePath = '/usr/local/share/doc/flyway'   # modified by install script

from flymainwin import FlyMainWin
import sys, getopt
from qt import *

def main():
    app = QApplication(sys.argv)
    win = FlyMainWin()
    app.setMainWidget(win)

    try:
        opts, args = getopt.getopt(sys.argv[1:], '')
    except getopt.GetoptError:
        print 'Bad command line option'
        sys.exit(2)
    if args:
        win.openFile(args[0])
    win.show()
    app.exec_loop()

if __name__ == '__main__':
    main()
